import request from '@/utils/request'

// 查询协议模版列表
export function listAgreementTpl(query) {
  return request({
    url: '/ct/agreementTpl/list',
    method: 'get',
    params: query
  })
}

// 查询协议模版详细
export function getAgreementTpl(id) {
  return request({
    url: '/ct/agreementTpl/' + id,
    method: 'get'
  })
}

// 新增协议模版
export function addAgreementTpl(data) {
  return request({
    url: '/ct/agreementTpl',
    method: 'post',
    data: data
  })
}

// 修改协议模版
export function updateAgreementTpl(data) {
  return request({
    url: '/ct/agreementTpl',
    method: 'put',
    data: data
  })
}

// 删除协议模版
export function delAgreementTpl(id) {
  return request({
    url: '/ct/agreementTpl/' + id,
    method: 'delete'
  })
}
